Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354542 - Satellite 6.2 /apidoc defaults to unsupported v1
Summary: Satellite 6.2 /apidoc defaults to unsupported v1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Shimon Shtein
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 14:00 UTC by Stephen Benjamin
Modified: 2019-04-01 20:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:49:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 7955 None None None 2016-08-02 17:58:57 UTC

Description Stephen Benjamin 2016-07-11 14:00:40 UTC
Description of problem:

Visiting /apidoc on a Satellite server defaults to the unsupported v1 API. We should remove this or default to v2.

Version-Release number of selected component (if applicable):
6.2 Snap 19

How reproducible:
Always

Steps to Reproduce:
1. Visit /apidoc in a web browser

Actual results:
Defaults to v1

Expected results:
Defaults to the supported api (v2)

Comment 3 Ranjan Kumar 2016-08-02 18:02:13 UTC
Issue fixed in upstream https://github.com/theforeman/foreman/pull/3689

Comment 4 Bryan Kearney 2016-08-02 18:16:30 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/7955 has been closed

Comment 7 pm-sat@redhat.com 2018-02-21 16:49:54 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.